Subject: Offline Message from Juan Carlos velasco: hello, good evening, a month ago I
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 01 Aug 2022 04:11:16 -0000

From: Juan Carlos velasco <[email-masked]>
Phone: 2393990002
Location: Chicago, United States
URL: https://swagtron.com/
Department: SwagTron

hello, good evening, a month ago I bought an electric bicycle through Amazon and due to moving I had not assembled it and today I did and the seat adjustment is missing, the lights do not turn on and it came with a small broken piece, I would like to know if you can help me

----
Zopim
https://www.zopim.com